import request from '@/utils/request'

// 查询维保运行天数得分列表
export function listUserRuntimeScore(query) {
  return request({
    url: '/gxt/userruntimescore/listByRtType',
    method: 'get',
    params: query
  })
}

// 查询维保运行天数得分详细
export function getUserRuntimeScore(id) {
  return request({
    url: '/gxt/userruntimescore/' + id,
    method: 'get'
  })
}

// 新增维保运行天数得分
export function addUserRuntimeScore(data) {
  return request({
    url: '/gxt/userruntimescore',
    method: 'post',
    data: data
  })
}

// 修改维保运行天数得分
export function updateUserRuntimeScore(data) {
  return request({
    url: '/gxt/userruntimescore',
    method: 'put',
    data: data
  })
}

// 删除维保运行天数得分
export function delUserRuntimeScore(id) {
  return request({
    url: '/gxt/userruntimescore/' + id,
    method: 'delete'
  })
}